| Home | Libraries | People | FAQ | More

###### string::operator+= (2 of 2 overloads)

Append a character.

###### Synopsis

    string&
    operator+=(
        char ch);

###### Description

Appends a character to the end of the string.

###### Exception Safety

Strong guarantee.

###### Parameters

Name | Description
--- | ---
`ch` | The character to append.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `size() + 1 > max_size()`